jQuery(document).ready(function($) {
    function formatUser(user) {
        if (!user.id) {
            return user.text;
        }
        // Usa la imagen obtenida o un placeholder si no está disponible
        var imageUrl = user.picture ? user.picture : '';
        
        var $container = $(
            "<div class='select2-result-user clearfix'>" +
                "<div class='select2-result-user__avatar'><img src='" + imageUrl + "' style='width:30px;height:30px;border-radius:50%; margin-right:5px;' /></div>" +
                "<div class='select2-result-user__meta'>" +
                    "<div class='select2-result-user__title'></div>" +
                "</div>" +
            "</div>"
        );
        $container.find(".select2-result-user__title").text(user.text);
        return $container;
    }
    
    function formatUserSelection(user) {
        return user.text || user.id;
    }
    
$('#user_id').select2({
    minimumInputLength: 1,
    placeholder: 'Digite o nome ou email do usuário...',
    language: {
        inputTooShort: function (args) {
            return 'Por favor digite 1 ou mais caracteres...';
        },
        searching: function () {
            return 'A pesquisar...';
        }
    },
    ajax: {
        url: wccd_ajax_object.ajax_url,
        dataType: 'json',
        delay: 250,
        data: function (params) {
            return {
                q: params.term, // término de búsqueda
                action: 'wccd_user_search',
                security: wccd_ajax_object.nonce
            };
        },
        processResults: function (data) {
            return {
                results: data
            };
        },
        cache: true
    },
    templateResult: formatUser,
    templateSelection: formatUserSelection
});

});
